// flag object for xrally
// (C) 2/2000 Christian Perle (POVaddict)
// render size: 64x64

#include "colors.inc"

camera {
  location <0, 8, -8>
  up y
  right x
  direction 2*z
  look_at 0
}

light_source {
  <0, 500, -500> White
  area_light 60*x, 60*y, 8, 8
  adaptive 1 jitter
}
light_source {
  <0, 500, 500> White
  area_light 60*x, 60*y, 8, 8
  adaptive 1 jitter
}

#declare Body1 = intersection {
  box { <-1, 0, -1>, <1, .5, 1> }
  plane { x, .5 rotate -20*z }
  plane { x, .5 rotate -20*z rotate 90*y }
  plane { x, .5 rotate -20*z rotate 180*y }
  plane { x, .5 rotate -20*z rotate 270*y }
}
#declare Flag = union {
  object {
    Body1
    scale <1, .2, 1>
    rotate 180*x
    translate .1*y
    pigment { LightBlue }
  }
  cone {
    <0, .1, 0>, .1, <0, 1.6, 0>, .04
    pigment { LightBlue }
  }
  cone {
    <0, 0, 0>, .2, <-.7, 0, 0>, 0
    scale <1, 1, .08>
    translate 1.4*y
    pigment {
      gradient x scale .3
      color_map {
        [0 color White]
        [.5 color Red]
        [1 color White]
      }
    }
    finish { ambient .7 }
    rotate -20*y
  }
}

object { Flag scale 1.7 }

plane { y, 0 pigment { Gray50 } }
